%global pypi_name semantic_version

Summary:        Library implementing the 'SemVer' scheme
Name:           python-%{pypi_name}
Version:        2.10.0
Release:        1%{?dist}
License:        BSD
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This small python library provides a few tools to handle semantic versioning\ in Python.

%package -n     python3-%{pypi_name}
Summary:        Library implementing the 'SemVer' scheme
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name}
This small python library provides a few tools to handle semantic versioning\ in Python.
Python 3 version

%prep
%autosetup -n semantic_version-%{version}
rm -rf %{pypi_name}.egg-info
rm docs/credits.rst

%build
%py3_build

%install
%py3_install

%check

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst ChangeLog
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%changelog
* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 2.10.0-1
- upgrade to 2.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 2.8.4-1
- initial build
